import "Turbine.UI";
import "Turbine.Gameplay"; -- this will expose the label control that we will implement
import "Turbine.UI.Lotro"; -- this will expose the standard window that we will implement
newWidth=500
newHeight=800
newWindow=Turbine.UI.Lotro.Window()
newWindow:SetText("New")
newWindow:SetZOrder(11)

newWindow:SetSize(newWidth,newHeight)
newWindow:SetPosition(100,100)
newWindow:SetVisible(false)

new=function()
	local fields=Turbine.UI.ListBox()
	fields:SetOrientation(Turbine.UI.Orientation.Vertical)
	fields:SetPosition(50,50)
	fields:SetParent(newWindow)
	fields:SetSize(400,700)

	fields:ClearItems()
	
	local label=Turbine.UI.Label()
	label:SetText("New Event")
	label:SetSize(400,24)
	fields:AddItem(label)

	local label=Turbine.UI.Label()
	label:SetText("")
	label:SetSize(400,24)
	fields:AddItem(label)

	local label=Turbine.UI.Label()
	label:SetText("Date (None of that american format though :P):")
	label:SetSize(400,24)
	fields:AddItem(label)

	local item=Turbine.UI.ListBox()
	item:SetOrientation(Turbine.UI.Orientation.Horizontal)
	item:SetSize(400,24)

	local day=Turbine.UI.Lotro.TextBox()
	day:SetSize(50,24)
	item:AddItem(day)

	local label=Turbine.UI.Label()
	label:SetText("/")
	label:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)

	label:SetSize(20,24)
	item:AddItem(label)

	local month=Turbine.UI.Lotro.TextBox()
	month:SetSize(50,24)
	item:AddItem(month)

	local label=Turbine.UI.Label()
	label:SetText("/")
	label:SetSize(20,24)
	label:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)

	item:AddItem(label)

	local year=Turbine.UI.Lotro.TextBox()
	year:SetSize(60,24)
	item:AddItem(year)

	fields:AddItem(item)

	local label=Turbine.UI.Label()
	label:SetText("")
	label:SetSize(400,24)
	fields:AddItem(label)



	local label=Turbine.UI.Label()
	label:SetText("Time:")
	label:SetSize(400,24)
	fields:AddItem(label)

	local time=Turbine.UI.Lotro.TextBox()
	time:SetSize(100,24)
	fields:AddItem(time)

	local label=Turbine.UI.Label()
	label:SetText("")
	label:SetSize(400,24)
	fields:AddItem(label)



	local label=Turbine.UI.Label()
	label:SetText("Event:")
	label:SetSize(400,24)
	fields:AddItem(label)

	local event=Turbine.UI.Lotro.TextBox()
	event:SetSize(400,64)
	fields:AddItem(event)
if data["Recents"][playerName] == nil then
	data["Recents"][playerName]="0"
end


newWindow.ShareButton=Turbine.UI.Lotro.Quickslot();
newWindow.ShareButton:SetParent(newWindow);


newWindow.ShareButton:SetSize(132,24);

newWindow.ShareButton:SetPosition(25,500); --yeah, I got lazy and hardcoded the left side ;)
newWindow.ShareButton:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,""))
newWindow.ShareButton.ShortcutData=""; --save the alias text for later
newWindow.ShareButton:SetAllowDrop(false); -- turn off drag and drop so the user doesn't accidentally modify our button action
newWindow.ShareButton.DragDrop=function()
    -- even though we turned off drop operations, there is a bug that allows the quickslot to drop on itself effectively wiping out the shortcut
    local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
    sc:SetData(newWindow.ShareButton.ShortcutData);
    newWindow.ShareButton:SetShortcut(sc);
end





newWindow.ShareButton.Icon=Turbine.UI.Control();
newWindow.ShareButton.Icon:SetParent(newWindow);
newWindow.ShareButton.Icon:SetSize(newWindow.ShareButton:GetSize());
newWindow.ShareButton.Icon:SetPosition(newWindow.ShareButton:GetPosition()); --yeah, I got lazy and hardcoded the left side ;)
newWindow.ShareButton.Icon:SetZOrder(newWindow.ShareButton:GetZOrder()+1); -- force the icon to be displayed above the quickslot
newWindow.ShareButton.Icon:SetMouseVisible(false); -- prevent the icon from interacting with the mouse so that all mouse events fall through to the quickslot behind it
--newWindow.ShareButton.Icon:SetBlendMode(Turbine.UI.BlendMode.Overlay); -- this will cause any transparent parts of the background image to display your window's background instead of being completely transparent and displaying the game UI display
newWindow.ShareButton.Icon:SetSize(66,12);
newWindow.ShareButton.Icon:SetStretchMode(1);
newWindow.ShareButton.Icon:SetSize(132,24);






-- this is the code that handles the background, note that the handles are assigned to the quickslot but they manipulate the icon
newWindow.ShareButton.Icon:SetBackground("KinCalendar/picture1.tga") --0x4113f51a

newWindow.ShareButton.MouseEnter=function()
    newWindow.ShareButton.Icon:SetBackground("KinCalendar/picture2.tga")
	local scdata="/" .. data["Channel"].." "..encode({["Type"]="Basic",["Version"]=version,["ID"]=tostring(data["Recents"][playerName] +1)..playerName,["Replace"]=tostring(data["Recents"][playerName]+1)..playerName,["Date"]=tostring(tonumber(day:GetText())).."/"..tostring(tonumber(month:GetText())).."/"..tostring(tonumber(year:GetText())),["Time"]=time:GetText(),["Name"]=event:GetText()}) 
	newWindow.ShareButton:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,scdata))
	newWindow.ShareButton.ShortcutData=scdata; --save the alias text for later

end
newWindow.ShareButton.MouseLeave=function()
	newWindow.ShareButton.Icon:SetBackground("KinCalendar/picture1.tga") 

end
newWindow.ShareButton.MouseDown=function()
	newWindow.ShareButton.Icon:SetBackground("KinCalendar/picture3.tga") 
	
	
end
newWindow.ShareButton.MouseUp=function()
	newWindow.ShareButton.Icon:SetBackground("KinCalendar/picture2.tga") 
end

newWindow.ShareButton.MouseClick=function()
	newWindow:SetVisible(false)
end











	newWindow:SetVisible(true)
end

		
